GPW(1)

NAME
gpw - program to generate pronounceable passwords

SYNOPSIS
gpw [number_of_passwords [length_of_passwords]]

DESCRIPTION
This manual page documents briefly the gpw command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

Gpw is a program that generate pronounceable passwords of whatever length is desidered. It uses the statistics of three-letter combinations (trigraphs) of the english system dictionary. It is based on the ideas in Morrie Gasser's password generator for Multics, and Dan Edwards's generator for CTSS. FIPS Standard 181 describes a similar digraph-based generator, derived from Gasser's.

OPTIONS
This program accepts two optional numbers as command-line arguments. The first value is the number of password to generate, the second one is the length of the passwords required, up to 99. Defaults are 10 and 8 respectively.

NOTE
Password length should be choosen consistently with the encryption standard used.
So, a value of eight is useful with DES encryption, and a longer value should be used with MD5 encryption.

SEE ALSO
passwd(1),pwgen(1).

AUTHOR
This program has been written by Tom Van Vleck <thvv@multicians.org> in 1994.

CREDITS
Based on the ideas in Morrie Gasser's password generator for Multics, and Dan Edwards's generator for CTSS. FIPS Standard 181 describes a similar digraph-based generator, derived from Gasser's.
This manual page was written by Francesco P. Lovergine <frankie@debian.org>, for the Debian GNU/Linux system (but may be used by others), who also modified and packaged sources to port it under GNU/Linux.